Bug 1201708 - (CVE-2022-2122) VUL-0: CVE-2022-2122: gstreamer-0_10-plugins-good,gstreamer-plugins-good: DOS / potential heap overwrite in qtdemux using zlib
(CVE-2022-2122)
VUL-0: CVE-2022-2122: gstreamer-0_10-plugins-good,gstreamer-plugins-good: DOS...
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/337785/
CVSSv3.1:SUSE:CVE-2022-2122:6.1:(AV:L...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-07-20 12:18 UTC by Hu
Modified: 2022-11-08 14:47 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hu 2022-07-20 12:18:03 UTC
CVE-2022-2122

DOS / potential heap overwrite in qtdemux using zlib decompression. Integer
overflow in qtdemux element in qtdemux_inflate function which causes a segfault,
or could cause a heap overwrite, depending on libc and OS. Depending on the libc
used, and the underlying OS capabilities, it could be just a segfault or a heap
overwrite.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2022-2122
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-2122
https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1225
Comment 1 Hu 2022-07-20 12:19:16 UTC
The linked gitlab issue contains the fix for:

- CVE-2022-1922: bnc#1201702
- CVE-2022-1923: bnc#1201704
- CVE-2022-1924: bnc#1201706
- CVE-2022-1925: bnc#1201707
- CVE-2022-2122: bnc#1201708

Please check bnc#1201702 for the assessment for all of them.
Comment 3 Swamp Workflow Management 2022-08-26 13:23:24 UTC
SUSE-SU-2022:2911-1: An update that fixes 7 vulnerabilities is now available.

Category: security (important)
Bug References: 1201688,1201693,1201702,1201704,1201706,1201707,1201708
CVE References: CVE-2022-1920,CVE-2022-1921,CVE-2022-1922,CVE-2022-1923,CVE-2022-1924,CVE-2022-1925,CVE-2022-2122
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    gstreamer-plugins-good-1.8.3-16.6.2
SUSE OpenStack Cloud 9 (src):    gstreamer-plugins-good-1.8.3-16.6.2
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    gstreamer-plugins-good-1.8.3-16.6.2
SUSE Linux Enterprise Server 12-SP5 (src):    gstreamer-plugins-good-1.8.3-16.6.2
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    gstreamer-plugins-good-1.8.3-16.6.2
SUSE Linux Enterprise Server 12-SP3-BCL (src):    gstreamer-plugins-good-1.8.3-16.6.2
SUSE Linux Enterprise Server 12-SP2-BCL (src):    gstreamer-plugins-good-1.8.3-16.6.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2022-08-31 16:21:19 UTC
SUSE-SU-2022:2957-1: An update that fixes 7 vulnerabilities is now available.

Category: security (important)
Bug References: 1201688,1201693,1201702,1201704,1201706,1201707,1201708
CVE References: CVE-2022-1920,CVE-2022-1921,CVE-2022-1922,CVE-2022-1923,CVE-2022-1924,CVE-2022-1925,CVE-2022-2122
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    gstreamer-plugins-good-1.16.3-150200.3.9.1
openSUSE Leap 15.3 (src):    gstreamer-plugins-good-1.16.3-150200.3.9.1
SUSE Manager Server 4.1 (src):    gstreamer-plugins-good-1.16.3-150200.3.9.1
SUSE Manager Retail Branch Server 4.1 (src):    gstreamer-plugins-good-1.16.3-150200.3.9.1
SUSE Manager Proxy 4.1 (src):    gstreamer-plugins-good-1.16.3-150200.3.9.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    gstreamer-plugins-good-1.16.3-150200.3.9.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    gstreamer-plugins-good-1.16.3-150200.3.9.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    gstreamer-plugins-good-1.16.3-150200.3.9.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    gstreamer-plugins-good-1.16.3-150200.3.9.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    gstreamer-plugins-good-1.16.3-150200.3.9.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    gstreamer-plugins-good-1.16.3-150200.3.9.1
SUSE Enterprise Storage 7 (src):    gstreamer-plugins-good-1.16.3-150200.3.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Jia Zhaocong 2022-10-19 08:24:38 UTC
Cleaning up GNOME CVE backlog. The fix has been submitted and accepted. Assign back to security team.
Comment 8 Swamp Workflow Management 2022-11-08 14:44:51 UTC
SUSE-SU-2022:3908-1: An update that fixes 7 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1201688,1201693,1201702,1201704,1201706,1201707,1201708
CVE References: CVE-2022-1920,CVE-2022-1921,CVE-2022-1922,CVE-2022-1923,CVE-2022-1924,CVE-2022-1925,CVE-2022-2122
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    gstreamer-plugins-good-1.20.1-150400.3.3.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    gstreamer-plugins-good-1.20.1-150400.3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2022-11-08 14:47:01 UTC
SUSE-SU-2022:3906-1: An update that fixes 7 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1201688,1201693,1201702,1201704,1201706,1201707,1201708
CVE References: CVE-2022-1920,CVE-2022-1921,CVE-2022-1922,CVE-2022-1923,CVE-2022-1924,CVE-2022-1925,CVE-2022-2122
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP5 (src):    gstreamer-0_10-plugins-good-0.10.31-17.7.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.